Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

Path Parameters

id
string
required

The id of the data source

Body

application/json
sql
string
required

A read-only SELECT or WITH query.

purpose
string
required

One-line description of what this query answers.

confirm
boolean

Set to true to execute a query that previously returned confirmation_required.

tableMetadata
object

Table metadata from earlier discovery steps. When provided, the response includes an explorationUrl for viewing results in the product analytics explorer.

Response

200 - application/json

Resource created

status
string
required
Allowed value: "success"
summary
string
required
rowCount
number
required
columns
object[]
required
resultCsv
string
required
truncated
boolean
required
durationMs
number
required
sql
string
required
explorationUrl
string
explorationId
string
notice
string